Bug 207960 - [NEW PORT] sysutils/parafly: Process multiple commands in parallel on a single server
Summary: [NEW PORT] sysutils/parafly: Process multiple commands in parallel on a singl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-13 23:32 UTC by Jason W. Bacon
Modified: 2016-03-18 14:21 UTC (History)
1 user (show)

See Also:


Attachments
Shar archive (2.15 KB, text/plain)
2016-03-15 21:17 UTC, Jason W. Bacon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2016-03-13 23:32:09 UTC
Given a file containing a list of Unix commands, multithreading is used to
process the commands in parallel on a single server. Success/failure is
captured, and failed commands are retained and reported.

WWW: http://sourceforge.net/projects/parafly/

Another dependency for the Trinity genomics pipeline (along with bowtie2 207908 and jellyfish 207929).

portlint: OK (looks fine.)
testport: OK (poudriere: {10.1,9.3}-RELEASE {amd64,i386})
Comment 1 Jason W. Bacon freebsd_committer 2016-03-15 21:17:24 UTC
Created attachment 168260 [details]
Shar archive
Comment 2 commit-hook freebsd_committer 2016-03-18 14:15:16 UTC
A commit references this bug:

Author: swills
Date: Fri Mar 18 14:14:42 UTC 2016
New revision: 411357
URL: https://svnweb.freebsd.org/changeset/ports/411357

Log:
  sysutils/parafly: create port

  Given a file containing a list of Unix commands, multithreading is used to
  process the commands in parallel on a single server. Success/failure is
  captured, and failed commands are retained and reported.

  WWW: http://sourceforge.net/projects/parafly/

  PR:		207960
  Submitted by:	Jason Bacon <bacon4000@gmail.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/parafly/
  head/sysutils/parafly/Makefile
  head/sysutils/parafly/distinfo
  head/sysutils/parafly/files/
  head/sysutils/parafly/files/patch-configure
  head/sysutils/parafly/pkg-descr
Comment 3 Steve Wills freebsd_committer 2016-03-18 14:21:35 UTC
Committed, thanks!